Subject: [Sip] I-D ACTION:draft-ietf-sip-connected-identity-01.txt

From: [email-masked]
Date: Tue, 08 Aug 2006 15:50:02 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Session Initiation Protocol Working Group of the IETF.

	Title		: Connected Identity in the Session Initiation Protocol (SIP)
	Author(s)	: J. Elwell
	Filename	: draft-ietf-sip-connected-identity-01.txt
	Pages		: 24
	Date		: 2006-8-8
	
Because of retargeting of a Session Initiation Protocol (SIP) dialog-
forming request, the User Agent Server (UAS) can have a different
identity from that in the To header field.  This document provides a
means for that User Agent (UA) to supply its identity to the peer UA
by means of a request in the reverse direction and for that identity
to be signed by an Authentication Service.  The same mechanism can be
used to indicate a change of identity during a dialog, e.g., because
of some action in a Public Switched Telephone Network (PSTN) behind a
gateway.  This document normatively updates RFC 3261 (SIP).
This work is being discussed on the [email-masked] mailing list.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-sip-connected-identity-01.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-sip-connected-identity-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-sip-connected-identity-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Elwell, John" <[email-masked]>
Date: Tue, 08 Aug 2006 21:19:55 +0100

Changes from the 00 draft are mainly based on consensus at the Montreal
meeting on open issues and a general tidy-up to make it compliant with RFC
4485. Particular changes:
- some terms defined and used consistently;
- fixed on the UPDATE method for the additional request;
- mandating that an UPDATE request be sent even if identity has not changed
compared with that in To header field (to give the opportunity to have it
signed);
- note on what authentication service does if identity in From header field
is not one it is allowed to assert;
- additional explanation in some places;
- proper population of messages in examples;
- limiting of second example to transfer by a B2BUA rather than trying to be
too general.

The only thing missing is the content of the Identity header fields - these
will need to be calculated when we have finished making changes to the
message contents.

I believe the document should be ready for the review process.

John

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: 08 August 2006 20:50
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Sip] I-D ACTION:draft-ietf-sip-connected-identity-01.txt
> 
> You can also visit 
> https://www1.ietf.org/mailman/listinfo/I-D-announce 
> 	"FILE 
> /internet-drafts/draft-ietf-sip-connected-identity-01.txt".
>